Bug 596855 - F-13 nvr < F-12 nvr
F-13 nvr < F-12 nvr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: squashfs-tools (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 12:26 EDT by Jonathan Underwood
Modified: 2015-08-31 23:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2010-05-27 12:26:49 EDT
Description of problem:
Using preupgrade on a fully updated version of F-12 to F-13 and then running
package-cleanup --orphans lists lftp as being orphaned. The reason is
that the F12 version has a greater nvr than the F13 version - see below. Please
push updated packages for F-13

# yum downgrade squashfs-tools
Loaded plugins: presto, refresh-packagekit
Setting up Downgrade Process
Resolving Dependencies
--> Running transaction check
---> Package squashfs-tools.x86_64 0:4.0-2 set to be updated
---> Package squashfs-tools.x86_64 0:4.0-3.fc12 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch            Version          Repository       Size
================================================================================
Downgrading:
 squashfs-tools          x86_64          4.0-2            fedora           77 k

Transaction Summary
================================================================================
Remove        0 Package(s)
Reinstall     0 Package(s)
Downgrade     1 Package(s)

Total download size: 77 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 77 k
squashfs-tools-4.0-2.x86_64.rpm                          |  77 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : squashfs-tools-4.0-2.x86_64                              1/2 
  Cleanup        : squashfs-tools-4.0-3.fc12.x86_64                         2/2 

Removed:
  squashfs-tools.x86_64 0:4.0-3.fc12                                            

Installed:
  squashfs-tools.x86_64 0:4.0-2                                                 

Complete!


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bruno Wolff III 2010-05-28 00:46:59 EDT
Any objections if I do a version bump on Friday? I'm off work and will be doing various Fedora tasks for a good chunk of the day.
Comment 2 Bruno Wolff III 2010-05-28 10:05:39 EDT
4.0-4 is already sitting in testing. It's listed as crit path package so it may need some extra testing before getting moved to updates. It's been there since the 6th and has two +1s and no -1s.
Comment 3 Bug Zapper 2011-06-02 09:14:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:48:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.